1. Bitcoin Lightning Network
Aurpay API
  • Aurpay Crypto Payment Integration
  • API-Key Authentication Method
    • Order
      • Get Payment URL
      • Get Payment Info
      • Get Orders
      • Get Orders Details
      • Get Orders Refund Info
      • Orders Refund
      • Get Transaction
      • Get Support Crypto Currency List
      • Get Support Real Currency List
    • Wallets
      • Get Wallets List
      • Withdraw Balance
      • Get Self Custody Wallets
    • Bitcoin Lightning Network
      • Get BLN Balance
      • Create BLN Order
      • Create BLN Withdraw
    • Get API-Key
      POST
  • Signature Authentication Method
    • Order
      • Get Payment URL
      • Get Payment Info
      • Get Support Real Currency List
      • Get Support Crypto Currency List
      • Get Orders
      • Get Orders Details
      • Get Transaction
      • Get Orders Refund Info
      • Orders Refund
    • Wallets
      • Get Wallets List
      • Withdraw Balance
      • Get Self Custody Wallets
    • Bitcoin Lightning Network
      • Get BLN Balance
        GET
      • Create BLN Order
        POST
      • Create BLN Withdraw
        POST
  • Callbakc Description
    • Callback Authentication Method
  1. Bitcoin Lightning Network

Create BLN Order

POST
/api/bln/order

Create Order#

This endpoint allows you to create a new order for a payment transaction.

Request Body#

price (required, number): Order amount in real currency.
currency (required, string): Real currency type.
succeed_url (string): Redirect URL to checkout page after successful payment.
timeout_url (string): Redirect URL to checkout page after payment timeout.
callback_url (string): Callback URL after successful payment.
timeout_callback (string): Callback URL after payment timeout.

Callback Request Details#

Applicable to callback_url and timeout_callback fields
The callback request is a GET request, and a normal response should be 200.
When the order status is successful, the callback_url URL will be requested;
When the order status times out, the timeout_callback URL will be requested.

Response#

code (number): The status code of the response.
message (string): A message regarding the status of the request.
data
order_id (string): The unique identifier for the created order.
status (string): The status of the order (e.g., PENDING).
amount (number): The amount of the order.
create_time (string): The timestamp of when the order was created.
payment_request (string): The payment request information.
pay_url (string): The URL to proceed with the payment.

Example#

{
    "code": 0,
    "message": "ok",
    "data": {
        "order_id": "20240426103947614609",
        "status": "PENDING",
        "amount": 0.00155419,
        "create_time": "2024-04-26T10:39:47",
        "payment_request": "lntb1554190n1pnzhprnpp5xtqfy2fuaucnpfw6yw7h4hap7t8rurt8f3qgkf369knf4zhwxjdqdp58yukydt9xs6nsc3hve3rgcmyvgunqwp3x3nrqetrxucnsdpsvfjscqzzsxqyz5vqsp5fs2adjrcrcded6nzc2g3wj56kku89uflg9nh0t4ry5avdasp7shq9qyyssqdjs3txpu2w482w55gpnzauqdd20qjg4x8276u2kje2295tk8wg73rgxna2pqrw5w60ra8cy2lnx6yvn5wcjzqy42p5rh9ap5ymhv2jgqmk3j9g",
        "pay_url": "https://dashboard.aurpay.net/#/cashier/20240426103947614609"
    },
    "result": true
}

Request

Body Params application/json

Examples

Responses

🟢200
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://dashboard.aurpay.net/api/bln/order' \
--header 'Content-Type: application/json' \
--data '{
    "price": 20, // Order amount in real currency - required
    "currency": "USD", // Real currency type - required
    "succeed_url": "https://example.com/succeed_url", // Redirect URL to checkout page after successful payment
    "timeout_url": "https://example.com/timeout_url", // Redirect URL to checkout page after payment timeout
    "callback_url": "https://example.com/callback_url", // Callback URL(GET) after successful payment
    "timeout_callback": "https://example.com/timeout_callback" // Callback URL(GET) after payment timeout
}'
Response Response Example
{
    "code": 0,
    "message": "ok",
    "data": {
        "order_id": "20240428125136525824",
        "status": "PENDING",
        "amount": "0.00019044",
        "create_time": "2024-04-28T12:00:00",
        "payment_request": "lnbc190440n1pnzu3jcpp5vyvhqq2deguqqdcth5z0hslaawcd4jqv68n9w88fkc9yqm476fwsdp5xscrjcehv3jkyvpsvg6rgdpnxgungwp4x56njdm9xa3x2dfnxfsscqzzsxqyz5vqsp5cfk04pxdn64fe0hde6u2qpkw7eu3fdequ8vw7r4le4trr3mwryks9qyyssqlavvjxan9jqus8hpdztrtfp6v0t7saqflxp2srruzf8a3sta0lajwfacpnpfdz7eaagrvrzwzhcwma8f4x3rnzf9yq7z6f67pd8lxmqqsxf4hh",
        "payment_addr": "c26cfa84cd9eaa9cbeedceb8a006cef67914b720e1d8ef0ebfcd5631c76e192d",
        "pay_url": "https://dashboard.aurpay.net/#/cashier/20240428125136525824",
        "currency": "BTC-LN"
    },
    "result": true
}
Previous
Get BLN Balance
Next
Create BLN Withdraw
Built with